### Method

# Clutter ColorState get_blending

#### Declaration [src]

    ClutterColorState*
    clutter_color_state_get_blending (
      ClutterColorState* color_state,
      gboolean force
    )

#### Description [src]

Retrieves a variant of `color_state` that is suitable for blending. This usually is a variant with linear transfer characteristics. If `color_state` already is a `ClutterColorState` suitable for blending, then `color_state` is returned.

If `force` is TRUE then linear transfer characteristics are used always.

#### Parameters

`force`

  Type: `gboolean`

  If a linear variant should be forced.

#### Return value

Type: `ClutterColorState`

The `ClutterColorState` suitable for blending.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.